
/**
 * Write a description of class Produto here.
 * 
 * @author DCC + PRH 
 * @version 2006.04.15
 */
public class Produto
{
	// instance variables 
	private String Ref;
    private String Desc;
	private int Tipo;     //O numero do Modelo, >=1

	/**
	 * Constructor for objects of class Produto
	 */
	public Produto(String r)
	{
		// initialise instance variables
		this.Ref = r;
		this.Desc = "";		
		this.Tipo = 0;
    }
    
	/**
	 * Set and Get Attribute values 
	 * 
	 */
	// Set attributes (instance variables)
	public void setDesc(String r)
	{
		this.Desc = r;
	}
	public void setTipo(int t)
	{
		this.Tipo = t;
	}
	// Get Attributes (the value of  instance variables)
	public String getRef()
	{
		return this.Ref;
	}		
	public String getDesc()
	{
		return this.Desc;
	}	
	public int getTipo()
	{
		return this.Tipo;
	}
	
	/**
	 * Lista todos os Atributos do Produto 
	 * 
	 * @param      não tem
	 * @return     nada 
	 */		
	// Print all the Obj Attributes
	public void mostraProd()
	{
        System.out.println("Referencia do produto e: "+this.Ref);
        System.out.println("Descricao do produto  e: "+this.Desc);
        System.out.println("Tipo do produto e:       "+this.Tipo);
 	}	
}
